Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.jce.provider
Class PKIXPolicyNode

    java.lang.Object
      org.bouncycastle.jce.provider.PKIXPolicyNode

All Implemented Interfaces:
  java.security.cert.PolicyNode

    public class PKIXPolicyNode

extends java.lang.Object
implements java.security.cert.PolicyNode

Field Summary
`protected java.util.List` `children`
`protected boolean` `critical`
`protected int` `depth`
`protected java.util.Set` `expectedPolicies`
`protected java.security.cert.PolicyNode` `parent`
`protected java.util.Set` `policyQualifiers`
`protected java.lang.String` `validPolicy`

Constructor Summary
`PKIXPolicyNode(java.util.List _children, int _depth, java.util.Set _expectedPolicies, java.security.cert.PolicyNode _parent, java.util.Set _policyQualifiers, java.lang.String _validPolicy, boolean _critical)`

Method Summary
`void` `addChild(PKIXPolicyNode _child)`
`java.lang.Object` `clone()`
`PKIXPolicyNode` `copy()`
`java.util.Iterator` `getChildren()`
`int` `getDepth()`
`java.util.Set` `getExpectedPolicies()`
`java.security.cert.PolicyNode` `getParent()`
`java.util.Set` `getPolicyQualifiers()`
`java.lang.String` `getValidPolicy()`
`boolean` `hasChildren()`
`boolean` `isCritical()`
`void` `removeChild(PKIXPolicyNode _child)`
`void` `setCritical(boolean _critical)`
`void` `setParent(PKIXPolicyNode _parent)`
`java.lang.String` `toString()`
`java.lang.String` `toString(java.lang.String _indent)`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### children

    protected java.util.List children

### depth

    protected int depth

### expectedPolicies

    protected java.util.Set expectedPolicies

### parent

    protected java.security.cert.PolicyNode parent

### policyQualifiers

    protected java.util.Set policyQualifiers

### validPolicy

    protected java.lang.String validPolicy

### critical

    protected boolean critical

Constructor Detail

### PKIXPolicyNode

    public PKIXPolicyNode(java.util.List _children,
                          int _depth,
                          java.util.Set _expectedPolicies,
                          java.security.cert.PolicyNode _parent,
                          java.util.Set _policyQualifiers,
                          java.lang.String _validPolicy,
                          boolean _critical)

Method Detail

### addChild

    public void addChild(PKIXPolicyNode _child)

### getChildren

    public java.util.Iterator getChildren()

  Specified by:
    `getChildren` in interface `java.security.cert.PolicyNode`

### getDepth

    public int getDepth()

  Specified by:
    `getDepth` in interface `java.security.cert.PolicyNode`

### getExpectedPolicies

    public java.util.Set getExpectedPolicies()

  Specified by:
    `getExpectedPolicies` in interface `java.security.cert.PolicyNode`

### getParent

    public java.security.cert.PolicyNode getParent()

  Specified by:
    `getParent` in interface `java.security.cert.PolicyNode`

### getPolicyQualifiers

    public java.util.Set getPolicyQualifiers()

  Specified by:
    `getPolicyQualifiers` in interface `java.security.cert.PolicyNode`

### getValidPolicy

    public java.lang.String getValidPolicy()

  Specified by:
    `getValidPolicy` in interface `java.security.cert.PolicyNode`

### hasChildren

    public boolean hasChildren()

### isCritical

    public boolean isCritical()

  Specified by:
    `isCritical` in interface `java.security.cert.PolicyNode`

### removeChild

    public void removeChild(PKIXPolicyNode _child)

### setCritical

    public void setCritical(boolean _critical)

### setParent

    public void setParent(PKIXPolicyNode _parent)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### toString

    public java.lang.String toString(java.lang.String _indent)

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `java.lang.Object`

### copy

    public PKIXPolicyNode copy()

Bouncy Castle Cryptography Library 1.45